curl --request GET \
--url https://api.plane.com/v1/compensations \
--header 'Authorization: Bearer <token>'{
"compensations": [
{
"id": "wec_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"type": "regular",
"reason": null,
"amount": "150000.00",
"currency": "USD",
"unit": "year",
"frequency": "twice_monthly",
"stock": null,
"other": null,
"starts": "2024-01-01",
"ends": null,
"created": "2024-01-01T00:00:00Z"
},
{...},
{...}
]
}
Returns a list of all compensation changes in your Plane workspace.
curl --request GET \
--url https://api.plane.com/v1/compensations \
--header 'Authorization: Bearer <token>'{
"compensations": [
{
"id": "wec_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"type": "regular",
"reason": null,
"amount": "150000.00",
"currency": "USD",
"unit": "year",
"frequency": "twice_monthly",
"stock": null,
"other": null,
"starts": "2024-01-01",
"ends": null,
"created": "2024-01-01T00:00:00Z"
},
{...},
{...}
]
}
starting_after is an object ID that defines your place in the
list. For instance, if you make a list request and receive 100 objects, ending with obj_foo,
your subsequent call can include starting_after=obj_foo in order to fetch the next page of the
list.ending_before is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, starting with obj_bar, your
subsequent call can include ending_before=obj_bar in order to fetch the previous page of the
list.compensations property that contains an array of up to limit compensations, starting after compensation starting_after.
Each entry in the array is a separate compensation object. If no more compensations are available, the resulting array will be empty.
{
"compensations": [
{
"id": "wec_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"type": "regular",
"reason": null,
"amount": "150000.00",
"currency": "USD",
"unit": "year",
"frequency": "twice_monthly",
"stock": null,
"other": null,
"starts": "2024-01-01",
"ends": null,
"created": "2024-01-01T00:00:00Z"
},
{...},
{...}
]
}
Was this page helpful?